# TODO:
# - package cli tool
%define		pkgname	jsonlint
%define		php_min_version 5.0.0
%include	/usr/lib/rpm/macros.php
Summary:	JSON Lint for PHP
Name:		php-seld-%{pkgname}
Version:	1.5.0
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/Seldaek/jsonlint/archive/%{version}/%{pkgname}-%{version}.tar.gz
# Source0-md5:	9c59f10b97fe4564df8ac91ab2c7ef32
URL:		https://github.com/Seldaek/jsonlint
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.461
Requires:	php(core) >= %{php_min_version}
Requires:	php(pcre)
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
JSON Lint for PHP.

This library is a port of the JavaScript jsonlint library.

%prep
%setup -q -n %{pkgname}-%{version}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_data_dir}/Seld
cp -a src/Seld/JsonLint $RPM_BUILD_ROOT%{php_data_dir}/Seld

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.mdown CHANGELOG.mdown LICENSE
%dir %{php_data_dir}/Seld
%dir %{php_data_dir}/Seld/JsonLint
%{php_data_dir}/Seld/JsonLint/*.php
%changelog
* Mon Nov 21 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-seld-jsonlint.git;a=log;h=master

* Mon Nov 21 2016 Elan Ruusamäe <glen@delfi.ee> 85bca64
- 1.5.0 (2016-11-14)

* Mon Mar 21 2016 Elan Ruusamäe <glen@delfi.ee> dc5fba3
- up to 1.4.0

* Wed Apr 09 2014 Elan Ruusamäe <glen@delfi.ee> f486de3
- up to 1.1.2

* Wed Apr 09 2014 Elan Ruusamäe <glen@delfi.ee> 34bc728
- new, version 1.1.0

